Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.flexdock.docking.drag.effects
Class DefaultPreview

    java.lang.Object
      org.flexdock.docking.drag.effects.DefaultPreview

All Implemented Interfaces:
  DockingConstants, DragPreview

Direct Known Subclasses:
  AlphaPreview, GhostPreview, XORPreview

    public abstract class DefaultPreview

extends Object
implements DragPreview

Author:
  Christopher Butler

Field Summary
`static int` | `DEFAULT_TAB_HEIGHT`
`static int` | `DEFAULT_TAB_WIDTH`

Fields inherited from interface org.flexdock.docking.DockingConstants
`ACTIVE_WINDOW, BOTTOM, CENTER, CENTER_REGION, CLOSE_ACTION, DEFAULT_PERSISTENCE_KEY, DOCKING_ID, EAST_REGION, HEAVYWEIGHT_DOCKABLES, HORIZONTAL, LEFT, MOUSE_PRESSED, NORTH_REGION, PERMANENT_FOCUS_OWNER, PIN_ACTION, REGION, RIGHT, SOUTH_REGION, TOP, UNINITIALIZED, UNINITIALIZED_RATIO, UNKNOWN_REGION, UNSPECIFIED_SIBLING_PREF, VERTICAL, WEST_REGION`

Constructor Summary
`DefaultPreview()`

Method Summary
`protected Polygon` | `createPolyRect(DockingPort port, Component dockable, String region)`
`protected Polygon` | `createPolyRect(Rectangle r)`
`protected Polygon` | `createPolyTab(DockingPort port, Component hover)`
`protected Polygon` | `createPolyTabOnBottom(Rectangle tabPane, Rectangle tab)`
`protected Polygon` | `createPolyTabOnTop(Rectangle tabPane, Rectangle tab)`
`Polygon` | `createPreviewPolygon(Component dockable, DockingPort port, Dockable hover, String targetRegion, Component paintingTarget, Map dragInfo)`
`protected Rectangle` | `createTabbedPaneRect(DockingPort port, Component hover)`
`abstract void` | `drawPreview(Graphics2D g, Polygon poly, Dockable dockable, Map dragInfo)`
`protected boolean` | `isOuterRegion(String region)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_TAB_WIDTH

    public static final int DEFAULT_TAB_WIDTH

See Also:
  Constant Field Values

### DEFAULT_TAB_HEIGHT

    public static final int DEFAULT_TAB_HEIGHT

See Also:
  Constant Field Values

Constructor Detail

### DefaultPreview

    public DefaultPreview()

Method Detail

### createPreviewPolygon

    public Polygon createPreviewPolygon(Component dockable,
                                        DockingPort port,
                                        Dockable hover,
                                        String targetRegion,
                                        Component paintingTarget,
                                        Map dragInfo)

  Specified by:
    `createPreviewPolygon` in interface `DragPreview`

### createPolyRect

    protected Polygon createPolyRect(DockingPort port,
                                     Component dockable,
                                     String region)

### createPolyRect

    protected Polygon createPolyRect(Rectangle r)

### createPolyTab

    protected Polygon createPolyTab(DockingPort port,
                                    Component hover)

### createTabbedPaneRect

    protected Rectangle createTabbedPaneRect(DockingPort port,
                                             Component hover)

### createPolyTabOnTop

    protected Polygon createPolyTabOnTop(Rectangle tabPane,
                                         Rectangle tab)

### createPolyTabOnBottom

    protected Polygon createPolyTabOnBottom(Rectangle tabPane,
                                            Rectangle tab)

### isOuterRegion

    protected boolean isOuterRegion(String region)

### drawPreview

    public abstract void drawPreview(Graphics2D g,
                                     Polygon poly,
                                     Dockable dockable,
                                     Map dragInfo)

  Specified by:
    `drawPreview` in interface `DragPreview`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD